Share via


Job Schedule - Create

Create a job schedule.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/jobSchedules/{jobScheduleId}?api-version=2024-10-23

URI Parameters

Name In Required Type Description
automationAccountName
path True

string

The name of the automation account.

jobScheduleId
path True

string (uuid)

The job schedule name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.runbook True

RunbookAssociationProperty

Gets or sets the runbook.

properties.schedule True

ScheduleAssociationProperty

Gets or sets the schedule.

properties.parameters

object

Gets or sets a list of job properties.

properties.runOn

string

Gets or sets the hybrid worker group that the scheduled job should run on.

Responses

Name Type Description
201 Created

JobSchedule

Resource 'JobSchedule' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create a job schedule

Sample request

PUT https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/ContoseAutomationAccount/jobSchedules/0fa462ba-3aa2-4138-83ca-9ebc3bc55cdc?api-version=2024-10-23

{
  "properties": {
    "parameters": {
      "jobscheduletag01": "jobschedulevalue01",
      "jobscheduletag02": "jobschedulevalue02"
    },
    "runbook": {
      "name": "TestRunbook"
    },
    "schedule": {
      "name": "ScheduleNameGoesHere332204b5-debe-4348-a5c7-6357457189f2"
    }
  }
}

Sample response

{
  "id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/ContoseAutomationAccount/jobSchedules/0fa462ba-3aa2-4138-83ca-9ebc3bc55cdc",
  "properties": {
    "jobScheduleId": "0fa462ba-3aa2-4138-83ca-9ebc3bc55cdc",
    "parameters": {
      "jobscheduletag01": "jobschedulevalue01",
      "jobscheduletag02": "jobschedulevalue02"
    },
    "runOn": null,
    "runbook": {
      "name": "TestRunbook"
    },
    "schedule": {
      "name": "ScheduleNameGoesHere332204b5-debe-4348-a5c7-6357457189f2"
    }
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

JobSchedule

Definition of the job schedule.

JobScheduleCreateParameters

The parameters supplied to the create job schedule operation.

RunbookAssociationProperty

The runbook property associated with the entity.

ScheduleAssociationProperty

The schedule property associated with the entity.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

JobSchedule

Definition of the job schedule.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.jobScheduleId

string

Gets or sets the id of job schedule.

properties.parameters

object

Gets or sets the parameters of the job schedule.

properties.runOn

string

Gets or sets the hybrid worker group that the scheduled job should run on.

properties.runbook

RunbookAssociationProperty

Gets or sets the runbook.

properties.schedule

ScheduleAssociationProperty

Gets or sets the schedule.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

JobScheduleCreateParameters

The parameters supplied to the create job schedule operation.

Name Type Description
properties.parameters

object

Gets or sets a list of job properties.

properties.runOn

string

Gets or sets the hybrid worker group that the scheduled job should run on.

properties.runbook

RunbookAssociationProperty

Gets or sets the runbook.

properties.schedule

ScheduleAssociationProperty

Gets or sets the schedule.

RunbookAssociationProperty

The runbook property associated with the entity.

Name Type Description
name

string

Gets or sets the name of the runbook.

ScheduleAssociationProperty

The schedule property associated with the entity.

Name Type Description
name

string

Gets or sets the name of the Schedule.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.